Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232675 - claws-mail: realloc(): invalid pointer: 0x0a186110 ***
Summary: claws-mail: realloc(): invalid pointer: 0x0a186110 ***
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 6
Hardware: i686
OS: Linux
high
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-16 15:56 UTC by Alan Cox
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 15:30:59 UTC


Attachments (Terms of Use)

Description Alan Cox 2007-03-16 15:56:51 UTC
Memory handling problem was reported and since its in mailstream_read_line it
could be serious. Hard to tell if the realloc failure at this point was the root
cause or something happened beforehand as claws-mail had been running for some time.

Only happened once and no reproducer at the moment

*** glibc detected *** cc
/lib/libc.so.6(realloc+0x38e)[0x446bebde]
/usr/lib/libetpan.so.11[0x457487af]
/usr/lib/libetpan.so.11(mmap_string_set_size+0x3a)[0x4574881a]
/usr/lib/libetpan.so.11[0x457490f5]
/usr/lib/libetpan.so.11(mailstream_read_line+0x41)[0x45749201]
/usr/lib/libetpan.so.11(read_line+0x27)[0x45756707]
/usr/lib/libetpan.so.11(mailimap_connect+0x50)[0x45758890]
/usr/lib/libetpan.so.11(mailimap_ssl_connect_with_callback+0x9f)[0x4575907f]
/usr/lib/libetpan.so.11(mailimap_ssl_connect+0x3c)[0x457590cc]
claws-mail[0x81a98bd]
claws-mail[0x81c67b6]
/lib/libpthread.so.0[0x44f1c3db]
/lib/libc.so.6(clone+0x5e)[0x4472226e]
======= Memory map: ========
00137000-0013c000 r-xp 00000000 fd:00 18252479  
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.so
0013c000-0013d000 rwxp 00005000 fd:00 18252479  
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-gif.so
00141000-00142000 r-xp 00141000 00:00 0          [vdso]
001e8000-001f1000 r-xp 00000000 fd:00 4718965    /lib/libnss_files-2.5.so
001f1000-001f2000 r-xp 00008000 fd:00 4718965    /lib/libnss_files-2.5.so
001f2000-001f3000 rwxp 00009000 fd:00 4718965    /lib/libnss_files-2.5.so
00387000-0038b000 r-xp 00000000 fd:00 17729475   /usr/lib/sasl2/liblogin.so.2.0.22
0038b000-0038c000 rwxp 00003000 fd:00 17729475   /usr/lib/sasl2/liblogin.so.2.0.22
00393000-0039e000 r-xp 00000000 fd:00 17733090  
/usr/lib/sasl2/libdigestmd5.so.2.0.22
0039e000-0039f000 rwxp 0000b000 fd:00 17733090  
/usr/lib/sasl2/libdigestmd5.so.2.0.22
003a7000-003ab000 r-xp 00000000 fd:00 17728135  
/usr/lib/sasl2/libanonymous.so.2.0.22
003ab000-003ac000 rwxp 00003000 fd:00 17728135  
/usr/lib/sasl2/libanonymous.so.2.0.22
003ea000-00400000 r-xp 00000000 fd:00 17665844   /usr/lib/libbeagle.so.0.0.0
00400000-00401000 rwxp 00016000 fd:00 17665844   /usr/lib/libbeagle.so.0.0.0
0044c000-00460000 r-xp 00000000 fd:00 17727563   /usr/lib/gconv/EUC-JP-MS.so
00460000-00462000 rwxp 00013000 fd:00 17727563   /usr/lib/gconv/EUC-JP-MS.so
00490000-004a8000 r-xp 00000000 fd:00 17727760   /usr/lib/gconv/libJIS.so
004a8000-004aa000 rwxp 00017000 fd:00 17727760   /usr/lib/gconv/libJIS.so
004ba000-00595000 r-xp 00000000 fd:00 17730288   /usr/lib/sasl2/libsasldb.so.2.0.22
00595000-00597000 rwxp 000db000 fd:00 17730288   /usr/lib/sasl2/libsasldb.so.2.0.22
0076a000-00770000 r-xp 00000000 fd:00 18252500  
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
00770000-00771000 rwxp 00005000 fd:00 18252500  
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so
007da000-007de000 r-xp 00000000 fd:00 17729479   /usr/lib/sasl2/libplain.so.2.0.22
007de000-007df000 rwxp 00003000 fd:00 17729479   /usr/lib/sasl2/libplain.so.2.0.22
0086c000-0086e000 r-xp 00000000 fd:00 17858666  
/usr/lib/pango/1.5.0/modules/pango-basic-fc.so
0086e000-0086f000 rwxp 00001000 fd:00 17858666  
/usr/lib/pango/1.5.0/modules/pango-basic-fc.so
008d0000-008d4000 r-xp 00000000 fd:00 17727753   /usr/lib/gconv/UTF-7.so
008d4000-008d6000 rwxp 00003000 fd:00 17727753   /usr/lib/gconv/UTF-7.so
009ad000-009af000 r-xp 00000000 fd:00 17859637  
/usr/lib/pango/1.5.0/modules/pango-hangul-fc.so
009af000-009b0000 rwxp 00001000 fd:00 17859637  
/usr/lib/pango/1.5.0/modules/pango-hangul-fc.so
00a19000-00a1d000 r-xp 00000000 fd:00 18252481  
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
00a1d000-00a1e000 rwxp 00003000 fd:00 18252481  
/usr/lib/gtk-2.0/2.10.0/loaders/libpixbufloader-jpeg.so
00a87000-00a8b000 r-xp 00000000 fd:00 4718964    /lib/libnss_dns-2.5.so
00a8b000-00a8c000 r-xp 00003000 fd:00 4718964    /lib/libnss_dns-2.5.so
00a8c000-00a8d000 rwxp 00004000 fd:00 4718964    /lib/libnss_dns-2.5.so
00b62000-00b66000 r-xp 00000000 fd:00 17733086   /usr/lib/sasl2/libcrammd5.so.2.0.22
00b66000-00b67000 rwxp 00003000 fd:00 17733086   /usr/lib/sasl2/libcrammd5.so.2.0.22
00ce0000-00ce1000 r-xp 00000000 fd:00 17727703   /usr/lib/gconv/ISO8859-1.so
00ce1000-00ce3000 rwxp 00000000 fd:00 17727703   /usr/lib/gconv/ISO8859-1.so
08045000-082ac000 r-xp 00000000 fd:00 17669193   /usr/bin/claws-mail
082ac000-082d0000 rwxp 002Aborted

Comment 1 Andreas Bierfert 2007-03-17 10:33:09 UTC
Thanks for reporting. I will bring it up upstream.

Comment 2 Andreas Bierfert 2007-04-06 22:48:31 UTC
As per upstream this should be resolved in the upcoming 2.9.0 version....

Comment 3 Andreas Bierfert 2007-04-16 15:30:59 UTC
Thanks for reporting. Feel free to reopen if it still is an issue in 2.9.0.


Note You need to log in before you can comment on or make changes to this bug.